tekst = input('Podaj tekst: ')

# W tej wersji znak po znaku przeglądamy cały napis i na bieżąco liczymy.
# W zmiennej czy_jestem_miedzy_nawiasami będzie pamiętać informację gdzie jestem w tekście
czy_jestem_miedzy_nawiasami = False
licznik = 0
for znak in tekst:
    if znak == '<':
        czy_jestem_miedzy_nawiasami = True
    elif znak == '>':
        czy_jestem_miedzy_nawiasami = False
    elif czy_jestem_miedzy_nawiasami:
        licznik += 1

print(licznik)
